% This file is a part of the CaosDB Project.
%
% Copyright (C) 2021 IndiScale GmbH <info@indiscale.com>
% Copyright (C) 2021 Daniel Hornung <d.hornung@indiscale.com>
%
% This program is free software: you can redistribute it and/or modify
% it under the terms of the GNU Affero General Public License as
% published by the Free Software Foundation, either version 3 of the
% License, or (at your option) any later version.
%
% This program is distributed in the hope that it will be useful,
% but WITHOUT ANY WARRANTY; without even the implied warranty of
% MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
% GNU Affero General Public License for more details.
%
% You should have received a copy of the GNU Affero General Public License
% along with this program. If not, see <https://www.gnu.org/licenses/>.

function test_suite=test_unittest()
  try % assignment of 'localfunctions' is necessary in Matlab >= 2016
    test_functions=localfunctions();
  catch % no problem; early Matlab versions can use initTestSuite fine
  end
  initTestSuite;
end

% Only tests which don't need a connection to a server.
function test_local()
  % default connection
  c1 = Caosdb();
  assertEqual(c1.connection, "")
  % class with explicit connection
  c2 = Caosdb("local-caosdb-admin");
  assertEqual(c2.connection, "local-caosdb-admin");

  % Only get the local versions.
  version = caosdb_exec("--version");
  assertEqual(version, "v0.1 (libcaosdb v0.0.7)");
end
